Package com.android.server.os

# Class LinphoneTombstoneProtos.Tombstone

java.lang.Object
com.google.protobuf.AbstractMessageLite<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.Tombstone,LinphoneTombstoneProtos.Tombstone.Builder>
com.android.server.os.LinphoneTombstoneProtos.Tombstone

All Implemented Interfaces:
  `LinphoneTombstoneProtos.TombstoneOrBuilder`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`

Enclosing class:
  LinphoneTombstoneProtos

public static final class LinphoneTombstoneProtos.Tombstone extends com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.Tombstone,LinphoneTombstoneProtos.Tombstone.Builder> implements LinphoneTombstoneProtos.TombstoneOrBuilder
Protobuf type `Tombstone`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`LinphoneTombstoneProtos.Tombstone.Builder`
Protobuf type `Tombstone`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageLite

`com.google.protobuf.GeneratedMessageLite.DefaultInstanceBasedParser<T extends com.google.protobuf.GeneratedMessageLite<T,?>>, com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.GeneratedExtension<ContainingType extends com.google.protobuf.MessageLite,Type extends Object>, com.google.protobuf.GeneratedMessageLite.MethodToInvoke, com.google.protobuf.GeneratedMessageLite.SerializedForm`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ABORT_MESSAGE_FIELD_NUMBER`
`static final int`
`ARCH_FIELD_NUMBER`
`static final int`
`BUILD_FINGERPRINT_FIELD_NUMBER`
`static final int`
`CAUSES_FIELD_NUMBER`
`static final int`
`COMMAND_LINE_FIELD_NUMBER`
`static final int`
`CRASH_DETAILS_FIELD_NUMBER`
`static final int`
`LOG_BUFFERS_FIELD_NUMBER`
`static final int`
`MEMORY_MAPPINGS_FIELD_NUMBER`
`static final int`
`OPEN_FDS_FIELD_NUMBER`
`static final int`
`PID_FIELD_NUMBER`
`static final int`
`PROCESS_UPTIME_FIELD_NUMBER`
`static final int`
`REVISION_FIELD_NUMBER`
`static final int`
`SELINUX_LABEL_FIELD_NUMBER`
`static final int`
`SIGNAL_INFO_FIELD_NUMBER`
`static final int`
`THREADS_FIELD_NUMBER`
`static final int`
`TID_FIELD_NUMBER`
`static final int`
`TIMESTAMP_FIELD_NUMBER`
`static final int`
`UID_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageLite

`unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsThreads(int key)`
`map<uint32, .Thread> threads = 16;`
`protected final Object`
`dynamicMethod(com.google.protobuf.GeneratedMessageLite.MethodToInvoke method, Object arg0, Object arg1)`
`String`
`getAbortMessage()`
`string abort_message = 14;`
`com.google.protobuf.ByteString`
`getAbortMessageBytes()`
`string abort_message = 14;`
`LinphoneTombstoneProtos.Architecture`
`getArch()`
`.Architecture arch = 1;`
`int`
`getArchValue()`
`.Architecture arch = 1;`
`String`
`getBuildFingerprint()`
`string build_fingerprint = 2;`
`com.google.protobuf.ByteString`
`getBuildFingerprintBytes()`
`string build_fingerprint = 2;`
`LinphoneTombstoneProtos.Cause`
`getCauses(int index)`
`repeated .Cause causes = 15;`
`int`
`getCausesCount()`
`repeated .Cause causes = 15;`
`List<LinphoneTombstoneProtos.Cause>`
`getCausesList()`
`repeated .Cause causes = 15;`
`LinphoneTombstoneProtos.CauseOrBuilder`
`getCausesOrBuilder(int index)`
`repeated .Cause causes = 15;`
`List<? extends LinphoneTombstoneProtos.CauseOrBuilder>`
`getCausesOrBuilderList()`
`repeated .Cause causes = 15;`
`String`
`getCommandLine(int index)`
`repeated string command_line = 9;`
`com.google.protobuf.ByteString`
`getCommandLineBytes(int index)`
`repeated string command_line = 9;`
`int`
`getCommandLineCount()`
`repeated string command_line = 9;`
`List<String>`
`getCommandLineList()`
`repeated string command_line = 9;`
`LinphoneTombstoneProtos.CrashDetail`
`getCrashDetails(int index)`
`repeated .CrashDetail crash_details = 21;`
`int`
`getCrashDetailsCount()`
`repeated .CrashDetail crash_details = 21;`
`List<LinphoneTombstoneProtos.CrashDetail>`
`getCrashDetailsList()`
`repeated .CrashDetail crash_details = 21;`
`LinphoneTombstoneProtos.CrashDetailOrBuilder`
`getCrashDetailsOrBuilder(int index)`
`repeated .CrashDetail crash_details = 21;`
`List<? extends LinphoneTombstoneProtos.CrashDetailOrBuilder>`
`getCrashDetailsOrBuilderList()`
`repeated .CrashDetail crash_details = 21;`
`static LinphoneTombstoneProtos.Tombstone`
`getDefaultInstance()`
`LinphoneTombstoneProtos.LogBuffer`
`getLogBuffers(int index)`
`repeated .LogBuffer log_buffers = 18;`
`int`
`getLogBuffersCount()`
`repeated .LogBuffer log_buffers = 18;`
`List<LinphoneTombstoneProtos.LogBuffer>`
`getLogBuffersList()`
`repeated .LogBuffer log_buffers = 18;`
`LinphoneTombstoneProtos.LogBufferOrBuilder`
`getLogBuffersOrBuilder(int index)`
`repeated .LogBuffer log_buffers = 18;`
`List<? extends LinphoneTombstoneProtos.LogBufferOrBuilder>`
`getLogBuffersOrBuilderList()`
`repeated .LogBuffer log_buffers = 18;`
`LinphoneTombstoneProtos.MemoryMapping`
`getMemoryMappings(int index)`
`repeated .MemoryMapping memory_mappings = 17;`
`int`
`getMemoryMappingsCount()`
`repeated .MemoryMapping memory_mappings = 17;`
`List<LinphoneTombstoneProtos.MemoryMapping>`
`getMemoryMappingsList()`
`repeated .MemoryMapping memory_mappings = 17;`
`LinphoneTombstoneProtos.MemoryMappingOrBuilder`
`getMemoryMappingsOrBuilder(int index)`
`repeated .MemoryMapping memory_mappings = 17;`
`List<? extends LinphoneTombstoneProtos.MemoryMappingOrBuilder>`
`getMemoryMappingsOrBuilderList()`
`repeated .MemoryMapping memory_mappings = 17;`
`LinphoneTombstoneProtos.FD`
`getOpenFds(int index)`
`repeated .FD open_fds = 19;`
`int`
`getOpenFdsCount()`
`repeated .FD open_fds = 19;`
`List<LinphoneTombstoneProtos.FD>`
`getOpenFdsList()`
`repeated .FD open_fds = 19;`
`LinphoneTombstoneProtos.FDOrBuilder`
`getOpenFdsOrBuilder(int index)`
`repeated .FD open_fds = 19;`
`List<? extends LinphoneTombstoneProtos.FDOrBuilder>`
`getOpenFdsOrBuilderList()`
`repeated .FD open_fds = 19;`
`int`
`getPid()`
`uint32 pid = 5;`
`int`
`getProcessUptime()`
Process uptime in seconds.
`String`
`getRevision()`
`string revision = 3;`
`com.google.protobuf.ByteString`
`getRevisionBytes()`
`string revision = 3;`
`String`
`getSelinuxLabel()`
`string selinux_label = 8;`
`com.google.protobuf.ByteString`
`getSelinuxLabelBytes()`
`string selinux_label = 8;`
`LinphoneTombstoneProtos.Signal`
`getSignalInfo()`
`.Signal signal_info = 10;`
`Map<Integer,LinphoneTombstoneProtos.Thread>`
`getThreads()`
Deprecated.
`int`
`getThreadsCount()`
`map<uint32, .Thread> threads = 16;`
`Map<Integer,LinphoneTombstoneProtos.Thread>`
`getThreadsMap()`
`map<uint32, .Thread> threads = 16;`
`LinphoneTombstoneProtos.Thread`
`getThreadsOrDefault(int key, LinphoneTombstoneProtos.Thread defaultValue)`
`map<uint32, .Thread> threads = 16;`
`LinphoneTombstoneProtos.Thread`
`getThreadsOrThrow(int key)`
`map<uint32, .Thread> threads = 16;`
`int`
`getTid()`
`uint32 tid = 6;`
`String`
`getTimestamp()`
`string timestamp = 4;`
`com.google.protobuf.ByteString`
`getTimestampBytes()`
`string timestamp = 4;`
`int`
`getUid()`
`uint32 uid = 7;`
`boolean`
`hasSignalInfo()`
`.Signal signal_info = 10;`
`static LinphoneTombstoneProtos.Tombstone.Builder`
`newBuilder()`
`static LinphoneTombstoneProtos.Tombstone.Builder`
`newBuilder(LinphoneTombstoneProtos.Tombstone prototype)`
`static LinphoneTombstoneProtos.Tombstone`
`parseDelimitedFrom(InputStream input)`
`static LinphoneTombstoneProtos.Tombstone`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.Tombstone`
`parseFrom(byte[] data)`
`static LinphoneTombstoneProtos.Tombstone`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.Tombstone`
`parseFrom(com.google.protobuf.ByteString data)`
`static LinphoneTombstoneProtos.Tombstone`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.Tombstone`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static LinphoneTombstoneProtos.Tombstone`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.Tombstone`
`parseFrom(InputStream input)`
`static LinphoneTombstoneProtos.Tombstone`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.Tombstone`
`parseFrom(ByteBuffer data)`
`static LinphoneTombstoneProtos.Tombstone`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<LinphoneTombstoneProtos.Tombstone>`
`parser()`

### Methods inherited from class com.google.protobuf.GeneratedMessageLite

`createBuilder, createBuilder, dynamicMethod, dynamicMethod, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, emptyProtobufList, equals, getDefaultInstanceForType, getParserForType, getSerializedSize, hashCode, isInitialized, isInitialized, makeImmutable, mergeLengthDelimitedField, mergeUnknownFields, mergeVarintField, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBuilderForType, newMessageInfo, newRepeatedGeneratedExtension, newSingularGeneratedExtension, parseDelimitedFrom, parseDelimitedFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parsePartialFrom, parseUnknownField, registerDefaultInstance, toBuilder, toString, writeTo`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Field Details

### ARCH_FIELD_NUMBER

public static final int ARCH_FIELD_NUMBER

See Also:
  - Constant Field Values

### BUILD_FINGERPRINT_FIELD_NUMBER

public static final int BUILD_FINGERPRINT_FIELD_NUMBER

See Also:
  - Constant Field Values

### REVISION_FIELD_NUMBER

public static final int REVISION_FIELD_NUMBER

See Also:
  - Constant Field Values

### TIMESTAMP_FIELD_NUMBER

public static final int TIMESTAMP_FIELD_NUMBER

See Also:
  - Constant Field Values

### PID_FIELD_NUMBER

public static final int PID_FIELD_NUMBER

See Also:
  - Constant Field Values

### TID_FIELD_NUMBER

public static final int TID_FIELD_NUMBER

See Also:
  - Constant Field Values

### UID_FIELD_NUMBER

public static final int UID_FIELD_NUMBER

See Also:
  - Constant Field Values

### SELINUX_LABEL_FIELD_NUMBER

public static final int SELINUX_LABEL_FIELD_NUMBER

See Also:
  - Constant Field Values

### COMMAND_LINE_FIELD_NUMBER

public static final int COMMAND_LINE_FIELD_NUMBER

See Also:
  - Constant Field Values

### PROCESS_UPTIME_FIELD_NUMBER

public static final int PROCESS_UPTIME_FIELD_NUMBER

See Also:
  - Constant Field Values

### SIGNAL_INFO_FIELD_NUMBER

public static final int SIGNAL_INFO_FIELD_NUMBER

See Also:
  - Constant Field Values

### ABORT_MESSAGE_FIELD_NUMBER

public static final int ABORT_MESSAGE_FIELD_NUMBER

See Also:
  - Constant Field Values

### CRASH_DETAILS_FIELD_NUMBER

public static final int CRASH_DETAILS_FIELD_NUMBER

See Also:
  - Constant Field Values

### CAUSES_FIELD_NUMBER

public static final int CAUSES_FIELD_NUMBER

See Also:
  - Constant Field Values

### THREADS_FIELD_NUMBER

public static final int THREADS_FIELD_NUMBER

See Also:
  - Constant Field Values

### MEMORY_MAPPINGS_FIELD_NUMBER

public static final int MEMORY_MAPPINGS_FIELD_NUMBER

See Also:
  - Constant Field Values

### LOG_BUFFERS_FIELD_NUMBER

public static final int LOG_BUFFERS_FIELD_NUMBER

See Also:
  - Constant Field Values

### OPEN_FDS_FIELD_NUMBER

public static final int OPEN_FDS_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### getArchValue

public int getArchValue()
`.Architecture arch = 1;`

Specified by:
  `getArchValue` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The enum numeric value on the wire for arch.

### getArch

public LinphoneTombstoneProtos.Architecture getArch()
`.Architecture arch = 1;`

Specified by:
  `getArch` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The arch.

### getBuildFingerprint

public String getBuildFingerprint()
`string build_fingerprint = 2;`

Specified by:
  `getBuildFingerprint` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The buildFingerprint.

### getBuildFingerprintBytes

public com.google.protobuf.ByteString getBuildFingerprintBytes()
`string build_fingerprint = 2;`

Specified by:
  `getBuildFingerprintBytes` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The bytes for buildFingerprint.

### getRevision

public String getRevision()
`string revision = 3;`

Specified by:
  `getRevision` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The revision.

### getRevisionBytes

public com.google.protobuf.ByteString getRevisionBytes()
`string revision = 3;`

Specified by:
  `getRevisionBytes` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The bytes for revision.

### getTimestamp

public String getTimestamp()
`string timestamp = 4;`

Specified by:
  `getTimestamp` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The timestamp.

### getTimestampBytes

public com.google.protobuf.ByteString getTimestampBytes()
`string timestamp = 4;`

Specified by:
  `getTimestampBytes` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The bytes for timestamp.

### getPid

public int getPid()
`uint32 pid = 5;`

Specified by:
  `getPid` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The pid.

### getTid

public int getTid()
`uint32 tid = 6;`

Specified by:
  `getTid` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The tid.

### getUid

public int getUid()
`uint32 uid = 7;`

Specified by:
  `getUid` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The uid.

### getSelinuxLabel

public String getSelinuxLabel()
`string selinux_label = 8;`

Specified by:
  `getSelinuxLabel` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The selinuxLabel.

### getSelinuxLabelBytes

public com.google.protobuf.ByteString getSelinuxLabelBytes()
`string selinux_label = 8;`

Specified by:
  `getSelinuxLabelBytes` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The bytes for selinuxLabel.

### getCommandLineList

public List<String> getCommandLineList()
`repeated string command_line = 9;`

Specified by:
  `getCommandLineList` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  A list containing the commandLine.

### getCommandLineCount

public int getCommandLineCount()
`repeated string command_line = 9;`

Specified by:
  `getCommandLineCount` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The count of commandLine.

### getCommandLine

public String getCommandLine(int index)
`repeated string command_line = 9;`

Specified by:
  `getCommandLine` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The commandLine at the given index.

### getCommandLineBytes

public com.google.protobuf.ByteString getCommandLineBytes(int index)
`repeated string command_line = 9;`

Specified by:
  `getCommandLineBytes` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the commandLine at the given index.

### getProcessUptime

public int getProcessUptime()

     Process uptime in seconds.

`uint32 process_uptime = 20;`

Specified by:
  `getProcessUptime` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The processUptime.

### hasSignalInfo

public boolean hasSignalInfo()
`.Signal signal_info = 10;`

Specified by:
  `hasSignalInfo` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  Whether the signalInfo field is set.

### getSignalInfo

public LinphoneTombstoneProtos.Signal getSignalInfo()
`.Signal signal_info = 10;`

Specified by:
  `getSignalInfo` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The signalInfo.

### getAbortMessage

public String getAbortMessage()
`string abort_message = 14;`

Specified by:
  `getAbortMessage` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The abortMessage.

### getAbortMessageBytes

public com.google.protobuf.ByteString getAbortMessageBytes()
`string abort_message = 14;`

Specified by:
  `getAbortMessageBytes` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`
Returns:
  The bytes for abortMessage.

### getCrashDetailsList

public List<LinphoneTombstoneProtos.CrashDetail> getCrashDetailsList()
`repeated .CrashDetail crash_details = 21;`

Specified by:
  `getCrashDetailsList` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getCrashDetailsOrBuilderList

public List<? extends LinphoneTombstoneProtos.CrashDetailOrBuilder> getCrashDetailsOrBuilderList()
`repeated .CrashDetail crash_details = 21;`

### getCrashDetailsCount

public int getCrashDetailsCount()
`repeated .CrashDetail crash_details = 21;`

Specified by:
  `getCrashDetailsCount` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getCrashDetails

public LinphoneTombstoneProtos.CrashDetail getCrashDetails(int index)
`repeated .CrashDetail crash_details = 21;`

Specified by:
  `getCrashDetails` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getCrashDetailsOrBuilder

public LinphoneTombstoneProtos.CrashDetailOrBuilder getCrashDetailsOrBuilder(int index)
`repeated .CrashDetail crash_details = 21;`

### getCausesList

public List<LinphoneTombstoneProtos.Cause> getCausesList()
`repeated .Cause causes = 15;`

Specified by:
  `getCausesList` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getCausesOrBuilderList

public List<? extends LinphoneTombstoneProtos.CauseOrBuilder> getCausesOrBuilderList()
`repeated .Cause causes = 15;`

### getCausesCount

public int getCausesCount()
`repeated .Cause causes = 15;`

Specified by:
  `getCausesCount` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getCauses

public LinphoneTombstoneProtos.Cause getCauses(int index)
`repeated .Cause causes = 15;`

Specified by:
  `getCauses` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getCausesOrBuilder

public LinphoneTombstoneProtos.CauseOrBuilder getCausesOrBuilder(int index)
`repeated .Cause causes = 15;`

### getThreadsCount

public int getThreadsCount()
Description copied from interface: `LinphoneTombstoneProtos.TombstoneOrBuilder`
`map<uint32, .Thread> threads = 16;`

Specified by:
  `getThreadsCount` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### containsThreads

public boolean containsThreads(int key)
`map<uint32, .Thread> threads = 16;`

Specified by:
  `containsThreads` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getThreads

@Deprecated public Map<Integer,LinphoneTombstoneProtos.Thread> getThreads()
Deprecated.
Use `getThreadsMap()` instead.

Specified by:
  `getThreads` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getThreadsMap

public Map<Integer,LinphoneTombstoneProtos.Thread> getThreadsMap()
`map<uint32, .Thread> threads = 16;`

Specified by:
  `getThreadsMap` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getThreadsOrDefault

public LinphoneTombstoneProtos.Thread getThreadsOrDefault(int key, LinphoneTombstoneProtos.Thread defaultValue)
`map<uint32, .Thread> threads = 16;`

Specified by:
  `getThreadsOrDefault` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getThreadsOrThrow

public LinphoneTombstoneProtos.Thread getThreadsOrThrow(int key)
`map<uint32, .Thread> threads = 16;`

Specified by:
  `getThreadsOrThrow` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getMemoryMappingsList

public List<LinphoneTombstoneProtos.MemoryMapping> getMemoryMappingsList()
`repeated .MemoryMapping memory_mappings = 17;`

Specified by:
  `getMemoryMappingsList` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getMemoryMappingsOrBuilderList

public List<? extends LinphoneTombstoneProtos.MemoryMappingOrBuilder> getMemoryMappingsOrBuilderList()
`repeated .MemoryMapping memory_mappings = 17;`

### getMemoryMappingsCount

public int getMemoryMappingsCount()
`repeated .MemoryMapping memory_mappings = 17;`

Specified by:
  `getMemoryMappingsCount` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getMemoryMappings

public LinphoneTombstoneProtos.MemoryMapping getMemoryMappings(int index)
`repeated .MemoryMapping memory_mappings = 17;`

Specified by:
  `getMemoryMappings` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getMemoryMappingsOrBuilder

public LinphoneTombstoneProtos.MemoryMappingOrBuilder getMemoryMappingsOrBuilder(int index)
`repeated .MemoryMapping memory_mappings = 17;`

### getLogBuffersList

public List<LinphoneTombstoneProtos.LogBuffer> getLogBuffersList()
`repeated .LogBuffer log_buffers = 18;`

Specified by:
  `getLogBuffersList` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getLogBuffersOrBuilderList

public List<? extends LinphoneTombstoneProtos.LogBufferOrBuilder> getLogBuffersOrBuilderList()
`repeated .LogBuffer log_buffers = 18;`

### getLogBuffersCount

public int getLogBuffersCount()
`repeated .LogBuffer log_buffers = 18;`

Specified by:
  `getLogBuffersCount` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getLogBuffers

public LinphoneTombstoneProtos.LogBuffer getLogBuffers(int index)
`repeated .LogBuffer log_buffers = 18;`

Specified by:
  `getLogBuffers` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getLogBuffersOrBuilder

public LinphoneTombstoneProtos.LogBufferOrBuilder getLogBuffersOrBuilder(int index)
`repeated .LogBuffer log_buffers = 18;`

### getOpenFdsList

public List<LinphoneTombstoneProtos.FD> getOpenFdsList()
`repeated .FD open_fds = 19;`

Specified by:
  `getOpenFdsList` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getOpenFdsOrBuilderList

public List<? extends LinphoneTombstoneProtos.FDOrBuilder> getOpenFdsOrBuilderList()
`repeated .FD open_fds = 19;`

### getOpenFdsCount

public int getOpenFdsCount()
`repeated .FD open_fds = 19;`

Specified by:
  `getOpenFdsCount` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getOpenFds

public LinphoneTombstoneProtos.FD getOpenFds(int index)
`repeated .FD open_fds = 19;`

Specified by:
  `getOpenFds` in interface `LinphoneTombstoneProtos.TombstoneOrBuilder`

### getOpenFdsOrBuilder

public LinphoneTombstoneProtos.FDOrBuilder getOpenFdsOrBuilder(int index)
`repeated .FD open_fds = 19;`

### parseFrom

public static LinphoneTombstoneProtos.Tombstone parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.Tombstone parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.Tombstone parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.Tombstone parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.Tombstone parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.Tombstone parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.Tombstone parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.Tombstone parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static LinphoneTombstoneProtos.Tombstone parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static LinphoneTombstoneProtos.Tombstone parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.Tombstone parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.Tombstone parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilder

public static LinphoneTombstoneProtos.Tombstone.Builder newBuilder()

### newBuilder

public static LinphoneTombstoneProtos.Tombstone.Builder newBuilder(LinphoneTombstoneProtos.Tombstone prototype)

### dynamicMethod

protected final Object dynamicMethod(com.google.protobuf.GeneratedMessageLite.MethodToInvoke method, Object arg0, Object arg1)

Specified by:
  `dynamicMethod` in class `com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.Tombstone,LinphoneTombstoneProtos.Tombstone.Builder>`

### getDefaultInstance

public static LinphoneTombstoneProtos.Tombstone getDefaultInstance()

### parser

public static com.google.protobuf.Parser<LinphoneTombstoneProtos.Tombstone> parser()